### Hierarchy

- EventHandler
  - ACLUEWrapper
    - CLUEWrapper

### Implements

- IEventHandler

## Index

### Properties

- clueManager
- graph
- EVENT_JUMPED_TO
- EVENT_MODE_CHANGED
- MULTI_EVENT_SEPARATOR

### Methods

- build
- buildImpl
- fire
- getRegisteredHandlerCount
- jumpToState
- jumpToStored
- jumpToStoredOrLastState
- jumpToStory
- nextSlide
- off
- on
- previousSlide
- propagate
- stopPropagation

## Properties

### clueManager

clueManager: CLUEGraphManager

- Defined in ACLUEWrapper.ts:54

### graph

graph: Promise

- Defined in ACLUEWrapper.ts:55

### Static EVENT_JUMPED_TO

EVENT_JUMPED_TO: "jumped_to" = "jumped_to"

- Defined in ACLUEWrapper.ts:52

### Static EVENT_MODE_CHANGED

EVENT_MODE_CHANGED: "modeChanged" = "modeChanged"

- Defined in ACLUEWrapper.ts:51

### Static MULTI_EVENT_SEPARATOR

MULTI_EVENT_SEPARATOR: "," = ","

Inherited from EventHandler.MULTI_EVENT_SEPARATOR

- Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:136

## Methods

### Protected build

- build(body: HTMLElement, options: IACLUEWrapperOptions): void

- - Defined in ACLUEWrapper.ts:60

  #### Parameters

  - ##### body: HTMLElement

  - ##### options: IACLUEWrapperOptions

  #### Returns void

### Protected buildImpl

- buildImpl(body: HTMLElement): object

- - Defined in ACLUEWrapper.ts:120

  #### Parameters

  - ##### body: HTMLElement

  #### Returns object

  - ##### graph: Promise

  - ##### manager: CLUEGraphManager

  - ##### provVis: function

    - - (): Promise

      - #### Returns Promise

  - ##### storyVis: function

    - - (): Promise

      - #### Returns Promise

### fire

- fire(events: string, ...args: any[]): this

- Inherited from EventHandler.fire

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:210

  fires an event

  #### Parameters

  - ##### events: string

    name(s) of the event

  - ##### Rest ...args: any[]

    additional arguments

  #### Returns this

### getRegisteredHandlerCount

- getRegisteredHandlerCount(): object

- Inherited from EventHandler.getRegisteredHandlerCount

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:196

  list for each registered event the number of listeners

  #### Returns object

  - ##### [key: string]: number

### jumpToState

- jumpToState(state: number): any

- - Defined in ACLUEWrapper.ts:218

  #### Parameters

  - ##### state: number

  #### Returns any

### jumpToStored

- jumpToStored(): any

- - Defined in ACLUEWrapper.ts:236

  #### Returns any

### jumpToStoredOrLastState

- jumpToStoredOrLastState(): any

- - Defined in ACLUEWrapper.ts:251

  #### Returns any

### jumpToStory

- jumpToStory(story: number, autoPlay?: boolean): any

- - Defined in ACLUEWrapper.ts:191

  #### Parameters

  - ##### story: number

  - ##### Default value autoPlay: boolean = this.clueManager.isAutoPlay

  #### Returns any

### nextSlide

- nextSlide(): any

- - Defined in ACLUEWrapper.ts:175

  #### Returns any

### off

- off(events: string | object, handler?: IEventListener): this

- Inherited from EventHandler.off

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:172

  unregister a global event handler

  #### Parameters

  - ##### events: string | object

  - ##### Optional handler: IEventListener

  #### Returns this

### on

- on(events: string | object, handler?: IEventListener): this

- Inherited from EventHandler.on

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:150

  register a global event handler

  #### Parameters

  - ##### events: string | object

    either one event string (multiple are supported using , as separator) or a map of event handlers

  - ##### Optional handler: IEventListener

    the handler in case of a given string

  #### Returns this

### previousSlide

- previousSlide(): any

- - Defined in ACLUEWrapper.ts:183

  #### Returns any

### propagate

- propagate(progatee: IEventHandler, ...events: string[]): void

- Inherited from EventHandler.propagate

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:230

  registers on the given event handler and propagates the given events to itself

  #### Parameters

  - ##### progatee: IEventHandler

  - ##### Rest ...events: string[]

  #### Returns void

### stopPropagation

- stopPropagation(progatee: IEventHandler, ...events: string[]): void

- Inherited from EventHandler.stopPropagation

  - Defined in /workspaces/releases/phovea_clue/node_modules/phovea_core/src/event.ts:234

  #### Parameters

  - ##### progatee: IEventHandler

  - ##### Rest ...events: string[]

  #### Returns void

Generated using TypeDoc